Bug 4935 - Batch Modify tool cannot "unset" options such as Lost status
Summary: Batch Modify tool cannot "unset" options such as Lost status
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-02 19:04 UTC by Liz Rea
Modified: 2012-10-26 00:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.37 KB, application/octet-stream)
2010-10-01 20:27 UTC, Liz Rea
Details
2nd Try -- first didn't apply (916 bytes, application/octet-stream)
2010-10-06 16:14 UTC, Liz Rea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2010-07-02 19:04:28 UTC
When using the batch modify tool, one cannot unset a set status such as Lost with an empty value.

As this is one of the first things my librarians will try to do with this tool, I propose that all authorized value fields be allowed to be emptied using this tool (Lost, Damaged, Not For Loan, Use Restrictions, etc.). 

The tool CAN set items to a value from a null value (good behavior).
Comment 1 Liz Rea 2010-07-02 19:05:56 UTC
screencap of unsetting Lost status not working: http://screencast.com/t/NzkzODE1NWY
Comment 2 Galen Charlton 2010-07-02 19:11:00 UTC
This enhancement request would also apply to other fields, such as notes fields, that a user might want to clear.  Some fields (the mandatory ones) shouldn't be clearable, of course.
Comment 3 Liz Rea 2010-09-28 19:17:46 UTC
Re-marking this as a normal bug. Being unable to un-set is a significant limitation.
Comment 4 Liz Rea 2010-10-01 20:27:43 UTC
Created attachment 2659 [details]
Proposed patch

Pro
Comment 5 Liz Rea 2010-10-06 16:14:15 UTC
Created attachment 2668 [details]
2nd Try -- first didn't apply

The first patch didn't apply, this one should.

Sorry >.<
Comment 6 Nicole C. Engard 2010-10-06 16:51:57 UTC
signed off on and sent second patch - which works
Comment 7 MJ Ray (software.coop) 2010-11-09 04:17:50 UTC
This bug is mentioned in:
[bug 4935] fix for allowing authorized	values to be &quot;unset&quot; http://lists.koha-community.org/pipermail/koha-patches/2010-October/012634.html
[bug 4935] fix for allowing authorized values to be &quot;unset&quot; http://lists.koha-community.org/pipermail/koha-patches/2010-October/012637.html
[bug 4935] fixed ability to unset statuses such as &quot;lost&quot; or &quot;damaged&quot; http://lists.koha-community.org/pipermail/koha-patches/2010-October/012635.html
Comment 8 Chris Cormack 2010-12-12 08:08:54 UTC
Pushed please test
Comment 9 Nicole C. Engard 2010-12-16 14:53:36 UTC
appears to be working when unsetting lost and other statuses. Does not work if you want to unset a shelving location (which isn't required - but might be up for discussion).
Comment 10 Liz Rea 2010-12-23 19:29:12 UTC
I will note also that it is helpful, when setting up the authorized values, to have a description in the value for "not withdrawn," and "not lost" so that those show up in the list with the proper description.

Otherwise, you end up with two blank lines, and are unsure which to pick to unset the value.

As for shelving location, I can't think of any reason to have that value be blank, ever. And, you could always add a value for "no location" if you needed it to be unset, and use that.

LR
Comment 11 Nicole C. Engard 2010-12-23 19:35:55 UTC
Not everyone uses shelving locations - so that's why it would need to be unset ... but then again if they don't use them it shouldn't be set in the first place :)
Comment 12 Nicole C. Engard 2011-01-21 22:32:52 UTC
Reopening this bug since I now have a reason to need shelving location to be unset.  Some libraries use shelving location only when an item is on display or on the new shelf - and then unset that when they move them back to the regular shelves.  I have a librarian who wants to unset the shelving location.
Comment 13 Nicole C. Engard 2011-06-09 16:10:30 UTC
Any ideas on how to fix this issue for unsetting shelving locations?

Nicole
Comment 14 Chris Cormack 2011-06-24 15:54:27 UTC
The shelving location works as long as you have the authorised values set